Bug 1165354 - Review Request: voms-clients-java - Virtual Organization Membership Service Java clients
Summary: Review Request: voms-clients-java - Virtual Organization Membership Service ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-18 20:36 UTC by Mattias Ellert
Modified: 2015-04-07 13:54 UTC (History)
3 users (show)

Fixed In Version: voms-clients-java-3.0.5-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-26 02:30:16 UTC
puntogil: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mattias Ellert 2014-11-18 20:36:35 UTC
Spec URL: http://www.grid.tsl.uu.se/review/voms-clients-java.spec
SRPM URL: http://www.grid.tsl.uu.se/review/voms-clients-java-3.0.5-1.fc20.src.rpm

Description:
The Virtual Organization Membership Service (VOMS) is an attribute authority
which serves as central repository for VO user authorization information,
providing support for sorting users into group hierarchies, keeping track of
their roles and other attributes in order to issue trusted attribute
certificates and SAML assertions used in the Grid environment for
authorization purposes.

This package provides the Java version of the command line clients for VOMS:
voms-proxy-init, voms-proxy-destroy and voms-proxy-info.

Fedora Account System Username: ellert

Comment 1 Mattias Ellert 2014-11-19 14:20:25 UTC
Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=8179519

Comment 2 gil cattaneo 2015-01-13 21:41:40 UTC
This is a review *template*. Besides handling the [ ]-marked tests you are
also supposed to fix the template before pasting into bugzilla:
- Add issues you find to the list of issues on top. If there isn't such
  a list, create one.
- Add your own remarks to the template checks.
- Add new lines marked [!] or [?] when you discover new things not
  listed by fedora-review.
- Change or remove any text in the template which is plain wrong. In this
  case you could also file a bug against fedora-review
- Remove the "[ ] Manual check required", you will not have any such lines
  in what you paste.
- Remove attachments which you deem not really useful (the rpmlint
  ones are mandatory, though)
- Remove this text



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
  Note: No javadoc subpackage present
  See: https://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation
- Javadoc documentation files are generated and included in -javadoc
  subpackage
  Note: No javadoc subpackage present
  See: https://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated". 4 files have unknown license.
     Detailed output of licensecheck in /home/gil/1165354-voms-clients-
     java/licensecheck.txt
[?]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/java/voms-clients-java, /usr/share
     /maven-poms/voms-clients-java, /usr/share/maven-metadata
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/maven-poms/voms-
     clients-java, /usr/share/java/voms-clients-java, /usr/share/maven-
     metadata
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[?]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[?]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: voms-clients-java-3.0.5-1.fc22.noarch.rpm
          voms-clients-java-3.0.5-1.fc22.src.rpm
voms-clients-java.noarch: W: spelling-error %description -l en_US init -> unit, int, nit
voms-clients-java.src: W: spelling-error %description -l en_US init -> unit, int, nit
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
]0;<mock-chroot><mock-chroot>[root@localhost /]# rpmlint voms-clients-java
voms-clients-java.noarch: W: spelling-error %description -l en_US init -> unit, int, nit
voms-clients-java.noarch: W: invalid-url URL: https://wiki.italiangrid.it/VOMS <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:581)>
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
]0;<mock-chroot><mock-chroot>[root@localhost /]# echo 'rpmlint-done:'



Requires
--------
voms-clients-java (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/sbin/update-alternatives
    java-headless
    jpackage-utils
    mvn(commons-cli:commons-cli)
    mvn(commons-io:commons-io)
    mvn(org.italiangrid:voms-api-java)



Provides
--------
voms-clients-java:
    mvn(org.italiangrid:voms-clients)
    mvn(org.italiangrid:voms-clients:pom:)
    voms-clients-java



Source checksums
----------------
https://github.com/italiangrid/voms-clients/archive/v3.0.5.tar.gz :
  CHECKSUM(SHA256) this package     : b6e81b2a2cbfea9b46604c0ea29cbc23f78abca056fb69c1d7998fdb87ec73a6
  CHECKSUM(SHA256) upstream package : b6e81b2a2cbfea9b46604c0ea29cbc23f78abca056fb69c1d7998fdb87ec73a6


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1165354 --plugins Java -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 3 gil cattaneo 2015-01-13 21:46:03 UTC
Issue:
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/maven-poms/voms-
     clients-java, /usr/share/java/voms-clients-java, /usr/share/maven-
     metadata
You must add before import

%files -f .mfiles
%dir %{_javadir}/%{name}
....

APPROVED

Comment 4 Mattias Ellert 2015-01-14 10:56:57 UTC
Thank you for the review. I will add the missing directories.

New Package SCM Request
=======================
Package Name: voms-clients-java
Short Description: Virtual Organization Membership Service Java clients
Owners: ellert
Branches: f20 f21 epel7
InitialCC:

Comment 5 Gwyn Ciesla 2015-01-14 12:00:48 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2015-01-14 13:57:54 UTC
voms-clients-java-3.0.5-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/voms-clients-java-3.0.5-1.fc21

Comment 7 Fedora Update System 2015-01-14 13:57:59 UTC
voms-clients-java-3.0.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/voms-clients-java-3.0.5-1.fc20

Comment 8 Fedora Update System 2015-01-14 13:58:04 UTC
voms-clients-java-3.0.5-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/voms-clients-java-3.0.5-1.el7

Comment 9 Fedora Update System 2015-01-14 16:29:25 UTC
voms-clients-java-3.0.5-1.el7 has been pushed to the Fedora EPEL 7 testing repository.

Comment 10 Fedora Update System 2015-01-26 02:30:16 UTC
voms-clients-java-3.0.5-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 11 Fedora Update System 2015-01-26 02:37:02 UTC
voms-clients-java-3.0.5-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 12 Fedora Update System 2015-01-28 21:44:57 UTC
voms-clients-java-3.0.5-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 13 Steve Traylen 2015-04-07 10:18:56 UTC
I guessing there is a reason there is no .el6 version?

Comment 14 Steve Traylen 2015-04-07 10:19:14 UTC
I'm guessing there is a reason there is no .el6 version?

Comment 15 Mattias Ellert 2015-04-07 13:54:46 UTC
(In reply to Steve Traylen from comment #14)
> I'm guessing there is a reason there is no .el6 version?

There is no bouncycastle-mail package in epel 6.
There is a maintainer, and there were some build attempted in koji a long time ago, but nothing seems to ever have been pushed.

Also, building Java packages in epel 6 is a bit of a pain since there is no maven. But it can be done using the maven-ant-plugin (as was done for the voms-api-java and jglobus packages) so this is not a blocker.


Note You need to log in before you can comment on or make changes to this bug.